﻿<!-- eslint-disable no-irregular-whitespace -->
<template>
  <div class="chapter" num="2">
    <div class="page-box" page="35">
      <div v-if="showPageList.indexOf(35) > -1">
        <div class="header-even">
          <span class="sub-page">114</span>
          <div class="line-page"></div>
          <span class="book-title">体育与健康</span>
        </div>
        <div class="bodystyle">

          <h3 class="lefth3" id="c016">
            <img class="img-gh1" alt="" src="../../image/dy3-xm6.jpg" />
          </h3>



          <div class="bk-tyzg">
            <p class="bj1-tyzg">体育中国</p>
            <p class="block">
              2004年，李婷、孙甜甜为我国首夺网球奥运会金牌。2006年，郑洁、晏紫在澳网女双比赛中为我国斩获第一个“大满贯”冠军。2014年，王蔷夺得亚运会网球女单金牌，实现我国网球在该项目上的“三连冠”。2018年，徐一璠、杨钊夺得亚运会女双冠军，
            </p>
            <p class="block">
              实现我国在该项目上的第三次登顶。2021年，我国网球女双完成了奥运会和四大满贯赛“金满贯”的成就。
            </p>
          </div>


          <div class="bk-tyzg">
            <p class="bj1-tyzg">学习目标</p>
            <p class="block">
              1.了解网球项目的发展历史、礼仪、比赛规则、练习方法和基本的健康运动知识。
            </p>
            <p class="block"> 2.掌握发球、正手、反手、截击球等技术动作的握拍方式、击球技术和简单战术，具备完成网球比赛的基本能力，并依据项目特点全面发展身体素质，为从事其他工作培养良好的运动交际能力。
            </p>
            <p class="block">
              3.通过学练及比赛提升自信心，形成积极向上的生活态度，养成举止文明、遵守规则、公平竞争的行为习惯，锤炼出不怕困难、奋勇拼搏的意志品质。
            </p>
          </div>

          <h4 class="h4-dy3" id="d066">
            <span class="h4-dy3s">一</span> 了解网球运动
          </h4>
          <p>
            网球运动是一项动作精细、技战术复杂多变、对抗较为激烈、对体能和心智能力要求较高的运动项目。网球运动最早可以追溯到12—13世纪，现在已是风靡全球的，集强身健体、休闲娱乐、高雅时尚于一体的大众运动项目。网球独特的运动礼仪和比赛规则可培养参与者举止大方、健康阳光、自信优雅、自然协调的气质，因此网球运动素有“球场上的芭蕾”之称。其优雅的动作、激烈的对抗、参与者顽强的“战斗”把艺术美、力量美和人格美有机地结合在一起，赏心悦目。网球运动还具有室内外皆宜，男女老少、高矮胖瘦皆宜，节奏可快可慢的特点。参与者可以根据自身的运动能力、击球技术的水平调整击球的节奏和强度。网球运动可锻炼协调性、灵敏性、力量和耐力等身体素质，对同学们今后从事对身体灵活度和力量要求较高的职业有较大帮助。
          </p>
        </div>
      </div>
    </div>




    <div class="page-box" page="36">
      <div v-if="showPageList.indexOf(36) > -1">

        <div class="header-odd">
          <span class="mk">拓展模块 </span>
          <span class="sub">第三单元</span>
          <span class="sub-title">球类运动 </span>
          <div class="line-page"></div>
          <span class="sub-page">115</span>
        </div>
        <div class="bodystyle">


          <h4 class="h4-dy3" id="d066">
            <span class="h4-dy3s">二</span> 学练网球技能
          </h4>

          <h5 id="e100"><span class="bj1-mk">模块一</span></h5>

          <p>本模块设置了乒乓球运动中较为基础的技战术内容。其中，单项技术学练包括握拍方法
            与核心技术、反手推挡、正手攻球，以及课程平台中的平击发球；基本战术学练包括发平击
            球抢攻，以及课程平台中的接平击球抢攻；组合技能练习设置的是 1/2 左推 + 右攻，以及课
            程平台中的推挡 + 侧身攻。同学们学练本模块的内容，能够提高基本的技战术水平，为参与
            本模块设置的比赛提供保障，为后续模块的学练奠定基础。</p>


          <p>在学习所有动作之前，我们需要先学会如何握拍。</p>
          <p>将球拍握柄 8 个面顺时针排序，以手掌两个标记点连线对应不同的面区别不同的握拍方
            式。正手握拍方式为：大陆式握拍对应 2 号面（发球、截击），
            东方式握拍对应 3 号面，半西方式握拍对应 4 号面，西方式
            握拍对应 5 号面（使用较少）。双手反手握拍一般为持拍手
            对应 1 号面，非持拍手根据习惯对应 3 或 4 号面；单手反手</p>






        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "chapter-2",
  props: {
    showPageList: {
      type: Array,
    },
    questionData: {
      type: Object,
    },
    isSearch: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      isShowScore1: false,
      isShowScore2: false,
      isShowScore3: false,
      isShowScore4: false,
      chapter002: {
        isShowXyx01: true,
        isShowXyx02: true,
        isShowXyx03: true,
        isShowXyx04: true,
        isShowXyx05: true,
        isShowXyx06: true,
        isShowXyx07: true,
        isShowXyx08: true,
        isShowXyx09: true,
        isShowXyx10: true,
        isShowXyx11: true,
        score1: 0,
        score2: 0,
        score3: 0,
        score4: 0,
        tablexyx1: {},
        tablexyx02: {
          text2: "第一次跑，感觉有点儿累，很枯燥",
          text6: "和同学一起跑，很开心，感觉没那么累了",
          text10: "下雨，明天补上",
        },
        tablebyb1: {},
        tablecyc2: {},
        tablecyc3: {},
        tablecyc4: {},
        tablecyc5: {},
        tkItem01: {},
        tkItem02: {},
      },
    };
  },
  created() {
    const localData = JSON.parse(localStorage.getItem("chapter002"));
    if (localData) {
      this.chapter002 = { ...Object.assign(this.chapter002, localData) };
    }
  },
  methods: {
    readText(val) {
      const textContent = (
        this.container ? this.container : document
      ).getElementById(val);
      const data = {
        type: "readText",
        data: textContent.innerText,
      };
      console.log(data.data);
      this.$emit("eventPublic", data);
    },
    activityXyx1() {
      this.chapter002.isShowXyx01 = !this.chapter002.isShowXyx01;
    },
    activityXyx2() {
      this.chapter002.isShowXyx02 = !this.chapter002.isShowXyx02;
    },
    activityXyx3() {
      this.chapter002.isShowXyx03 = !this.chapter002.isShowXyx03;
    },
    activityXyx4() {
      this.chapter002.isShowXyx04 = !this.chapter002.isShowXyx04;
    },
    activityXyx5() {
      this.chapter002.isShowXyx05 = !this.chapter002.isShowXyx05;
    },
    activityXyx6() {
      this.chapter002.isShowXyx06 = !this.chapter002.isShowXyx06;
    },
    activityXyx7() {
      this.chapter002.isShowXyx07 = !this.chapter002.isShowXyx07;
    },
    activityXyx8() {
      this.chapter002.isShowXyx08 = !this.chapter002.isShowXyx08;
    },
    activityXyx9() {
      this.chapter002.isShowXyx09 = !this.chapter002.isShowXyx09;
    },
    activityXyx10() {
      this.chapter002.isShowXyx10 = !this.chapter002.isShowXyx10;
    },
    activityXyx11() {
      this.chapter002.isShowXyx11 = !this.chapter002.isShowXyx11;
    },
    submit(val) {
      if (val == 1) this.isShowScore1 = true;
      if (val == 2) this.isShowScore2 = true;
      if (val == 3) this.isShowScore3 = true;
      if (val == 4) this.isShowScore4 = true;
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    resetData(val) {
      const localData = JSON.parse(localStorage.getItem("chapter002"));
      if (localData) {
        if (val == 1) localData.tablexyx1 = {};
        this.isShowScore1 = false;
        localData.score1 = 0;
        if (val == 2) localData.tablecyc2 = {};
        this.isShowScore2 = false;
        localData.score2 = 0;
        if (val == 3) localData.tablecyc3 = {};
        this.isShowScore3 = false;
        localData.score3 = 0;
        if (val == 4) localData.tablecyc4 = {};
        this.isShowScore4 = false;
        localData.score4 = 0;
        this.chapter002 = { ...Object.assign(this.chapter002, localData) };
      }
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changeBox(e, val) {
      this.isShowScore1 = false;
      this.chapter002.tablexyx1[val] = e.target.checked;
      if (e.target.checked) {
        this.chapter002.score1 += Number(e.target.value);
      } else {
        if (this.chapter002.score1 == 0) {
          return false;
        }
        if (!e.target.checked) {
          this.chapter002.score1 -= Number(e.target.value);
        }
      }
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changeByb(e, val) {
      this.chapter002.tablebyb1[val] = e.target.checked;
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changecyc2(e, val) {
      this.isShowScore2 = false;
      this.chapter002.tablecyc2[val] = e.target.checked;
      if (e.target.checked) {
        this.chapter002.score2 += Number(e.target.value);
      } else {
        if (this.chapter002.score2 == 0) {
          return false;
        }
        if (!e.target.checked) {
          this.chapter002.score2 -= Number(e.target.value);
        }
      }
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changecyc3(e, val) {
      this.isShowScore3 = false;
      this.chapter002.tablecyc3[val] = e.target.checked;
      if (e.target.checked) {
        this.chapter002.score3 += Number(e.target.value);
      } else {
        if (this.chapter002.score3 == 0) {
          return false;
        }
        if (!e.target.checked) {
          this.chapter002.score3 -= Number(e.target.value);
        }
      }
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changecyc4(e, val, type) {
      this.isShowScore4 = false;
      this.chapter002.tablecyc4[val] = e.target.checked;
      if (e.target.checked && type != "isReverse") {
        this.chapter002.score4 += Number(e.target.value);
      } else if (e.target.checked && type == "isReverse") {
        let s = 5 - Number(e.target.value);
        this.chapter002.score4 += s;
      } else {
        if (this.chapter002.score4 == 0) {
          return false;
        }
        if (!e.target.checked) {
          this.chapter002.score4 -= Number(e.target.value);
        }
      }
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changecyc5(e, val) {
      this.chapter002.tablecyc5[val] = e.target.checked;
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changeAssess(e, val) {
      this.chapter002.tkItem01[val] = e.target.value;
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changeAssess02(e, val) {
      this.chapter002.tkItem02[val] = e.target.value;
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
    changeFinish(e, val) {
      this.chapter002.tablexyx02[val] = e.target.value;
      localStorage.setItem("chapter002", JSON.stringify(this.chapter002));
    },
  },
};
</script>
